> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autosend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Sender

> Delete a sender identity by ID using the AutoSend API.

<RequestExample>
  ```bash cURL theme={null}
  curl --request DELETE \
    --url https://api.autosend.com/v1/senders/60d5ec49f1b2c72d9c8b4567 \
    --header 'Authorization: Bearer <token>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.autosend.com/v1/senders/60d5ec49f1b2c72d9c8b4567"

  headers = {
      "Authorization": "Bearer <token>"
  }

  response = requests.delete(url, headers=headers)
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  fetch('https://api.autosend.com/v1/senders/60d5ec49f1b2c72d9c8b4567', {
    method: 'DELETE',
    headers: {
      'Authorization': 'Bearer <token>'
    }
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error('Error:', error));
  ```

  ```php PHP theme={null}
  <?php

  $senderId = '60d5ec49f1b2c72d9c8b4567';
  $url = "https://api.autosend.com/v1/senders/{$senderId}";

  $ch = curl_init($url);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
      'Authorization: Bearer <token>'
  ]);

  $response = curl_exec($ch);
  curl_close($ch);

  echo $response;
  ?>
  ```

  ```go Go theme={null}
  package main

  import (
      "fmt"
      "net/http"
  )

  func main() {
      url := "https://api.autosend.com/v1/senders/60d5ec49f1b2c72d9c8b4567"

      req, _ := http.NewRequest("DELETE", url, nil)
      req.Header.Set("Authorization", "Bearer <token>")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          fmt.Println("Error:", err)
          return
      }
      defer resp.Body.Close()

      fmt.Println("Response Status:", resp.Status)
  }
  ```

  ```java Java theme={null}
  import java.net.HttpURLConnection;
  import java.net.URL;

  public class DeleteSender {
      public static void main(String[] args) {
          try {
              URL url = new URL("https://api.autosend.com/v1/senders/60d5ec49f1b2c72d9c8b4567");
              HttpURLConnection con = (HttpURLConnection) url.openConnection();

              con.setRequestMethod("DELETE");
              con.setRequestProperty("Authorization", "Bearer <token>");

              int status = con.getResponseCode();
              System.out.println("Response Status: " + status);

              con.disconnect();
          } catch (Exception e) {
              e.printStackTrace();
          }
      }
  }
  ```

  ```ruby Ruby theme={null}
  require 'net/http'
  require 'uri'

  uri = URI('https://api.autosend.com/v1/senders/60d5ec49f1b2c72d9c8b4567')

  http = Net::HTTP.new(uri.host, uri.port)
  http.use_ssl = true

  request = Net::HTTP::Delete.new(uri)
  request['Authorization'] = 'Bearer <token>'

  response = http.request(request)
  puts response.body
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "message": "Authenticated sender deleted successfully"
  }
  ```
</ResponseExample>

### Authorizations

<ParamField path="Authorizations" type="string | header" required>
  Bearer authentication header of the form Bearer `<token>`, where `<token>` is your auth token.
</ParamField>

### Path Parameters

<ParamField path="senderId" type="string" required>
  The unique identifier of the sender to delete (id).

  Example: `"60d5ec49f1b2c72d9c8b4567"`
</ParamField>

### Response

<span className="text-sm">Sender deleted successfully</span>

<ResponseField name="success" type="boolean">
  Indicates if the request was successful

  Example: `true`
</ResponseField>

<ResponseField name="message" type="string">
  Confirmation message

  Example: `"Authenticated sender deleted successfully"`
</ResponseField>

#### Error Responses

<ResponseField name="400 - Sender in use" type="object">
  Returned when the sender is used by active campaigns or workflow automations and cannot be deleted.

  ```json theme={null}
  {
    "success": false,
    "error": "This sender cannot be deleted as it is currently in use by active campaigns or automations"
  }
  ```
</ResponseField>

<ResponseField name="404 - Sender not found" type="object">
  Returned when no sender with the given ID exists on the project.

  ```json theme={null}
  {
    "success": false,
    "error": "Authenticated sender not found"
  }
  ```
</ResponseField>


## OpenAPI

````yaml DELETE /senders/{senderId}
openapi: 3.1.0
info:
  title: AutoSend API
  description: AutoSend REST API for managing authenticated senders
  version: 1.0.0
servers:
  - url: https://api.autosend.com/v1
security:
  - bearerAuth: []
paths:
  /senders/{senderId}:
    delete:
      summary: Delete Sender
      description: >-
        Deletes an authenticated sender. The sender cannot be deleted if it is
        in use by active campaigns or workflow automations.
components: {}

````